# Get init scripts

Launch stage: GA

`GET /api/2.0/global-init-scripts`

Get a list of all global init scripts for this workspace. This returns all properties for each script but **not** the script contents.
 To retrieve the contents of a script, use the get a global init script operation.

API scopes: global-init-scripts

## Returns

Returns a list of GlobalInitScriptDetails objects.

## Response

```json
{
  "scripts": [
    {
      "script_id": "714B166709FBD56F",
      "name": "My example script name",
      "position": 0,
      "enabled": false,
      "created_by": "john.doe@databricks.com",
      "created_at": 1594437249910,
      "updated_by": "jane.smith@example.com",
      "updated_at": 1594444684786
    }
  ]
}
```

